Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class PropertyPathFactory

    java.lang.Object
      org.deegree.ogcbase.PropertyPathFactory

    public class PropertyPathFactory

extends Object

Factory class for `PropertyPath` and `PropertyPathStep` instances.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  `PropertyPath`, `PropertyPathStep`

Constructor Summary
`PropertyPathFactory()`

Method Summary
`static AnyStep` | `createAnyStep()`
`static AnyStep` | `createAnyStep(int index)`
`static PropertyPathStep` | `createAttributePropertyPathStep(QualifiedName attrName)` Creates a new `PropertyPathStep` instance that selects the attribute with the given name.
`static PropertyPath` | `createPropertyPath(List<PropertyPathStep> steps)` Creates a new `PropertyPath` instance with the specified steps.
`static PropertyPath` | `createPropertyPath(PropertyPath propertyPath, int fromIndex, int toIndex)` Creates a new `PropertyPath` instance that consists of a subset of the steps from the given `PropertyPath`.
`static PropertyPath` | `createPropertyPath(QualifiedName elementName)` Creates a new `PropertyPath` instance that consists of one element step.
`static PropertyPathStep` | `createPropertyPathStep(QualifiedName elementName)` Creates a new `PropertyPathStep` instance that selects the element with the given name.
`static PropertyPathStep` | `createPropertyPathStep(QualifiedName elementName, int selectedIndex)` Creates a new `PropertyPathStep` instance that selects the specified occurence of the element with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyPathFactory

    public PropertyPathFactory()

Method Detail

### createPropertyPath

    public static PropertyPath createPropertyPath(QualifiedName elementName)

  Creates a new `PropertyPath` instance that consists of one element step.

  Parameters:
    `elementName` - name of selected element
  Returns:
    new `PropertyPath` instance

### createPropertyPath

    public static PropertyPath createPropertyPath(PropertyPath propertyPath,
                                                  int fromIndex,
                                                  int toIndex)

  Creates a new `PropertyPath` instance that consists of a subset of the steps from the given `PropertyPath`.

  Parameters:
    `propertyPath` - original `PropertyPath`
    `fromIndex` - index of the first step to be included
    `toIndex` - index of the final step to be included
  Returns:
    new `PropertyPath` instance

### createPropertyPath

    public static PropertyPath createPropertyPath(List<PropertyPathStep> steps)

  Creates a new `PropertyPath` instance with the specified steps.

  Parameters:
    `steps` - property path steps, may not be null
  Returns:
    new `PropertyPath` instance

### createAttributePropertyPathStep

    public static PropertyPathStep createAttributePropertyPathStep(QualifiedName attrName)

  Creates a new `PropertyPathStep` instance that selects the attribute with the given name.

  Parameters:
    `attrName` - attribute to be selected
  Returns:
    new `PropertyPathStep` instance

### createPropertyPathStep

    public static PropertyPathStep createPropertyPathStep(QualifiedName elementName)

  Creates a new `PropertyPathStep` instance that selects the element with the given name.

  Parameters:
    `elementName` - element to be selected
  Returns:
    new `PropertyPathStep` instance

### createPropertyPathStep

    public static PropertyPathStep createPropertyPathStep(QualifiedName elementName,
                                                          int selectedIndex)

  Creates a new `PropertyPathStep` instance that selects the specified occurence of the element with the given name.

  Parameters:
    `elementName` - element to be selected
    `selectedIndex` - occurence of the element
  Returns:
    new `PropertyPathStep` instance

### createAnyStep

    public static AnyStep createAnyStep()

  Returns:
    a new step which matches anything.

### createAnyStep

    public static AnyStep createAnyStep(int index)

  Parameters:
    `index` -
  Returns:
    a new step which matches anything.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org